body {
  font-family: Arial, sans-serif;
  text-align: center;
  margin: 0;
  padding: 0;
  background-image: url('BG.png');
  background-size: contain;
  background-position: center;
}

h1 {
  background-color: #df0101;
  color: white;
  padding: 20px;
  margin: 0;
}

#search-input {
  width: 80%;
  padding: 10px;
  padding-left: 30px;
  padding-right: 30px;
  background-color: black;
  font-size: 25px;
  color: red;
  margin: 20px 0;
  font-size: 16px;
  height: 40px;
  border: none;
  outline: none;
  border-radius: 5px;
  box-shadow: 0 0px 10px rgb(255, 0, 0, 0.8);
}

.video-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 20px;
}

.video {
  margin: 10px;
  border: none;
  border-radius: 4px;
  width: 200px;
  text-align: center;
  background-color: black;
  font-size: 14px;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 20px;
  padding-bottom: 20px;
  color: red;
  box-shadow: 0 0px 10px rgb(255, 0, 0, 0.8);
}

.video img {
  max-width: 100%;
  border-bottom: 1px solid #ddd;
}

.video p {
  margin: 10px 0;
}

#button-container {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  flex-direction: row;
  gap: 30px;
}

#download-all,
#download-audio {
  background-color: #df0101;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
  margin: 20px 0;
  height: 40px;
  box-shadow: 0 0px 10px rgb(255, 255, 255, 0.5)
}

#download-all:hover,
#download-audio:hover {
  background-color: red;
}

.progress {
  display: none;
  width: 80%;
  margin: 20px auto;
  background-color: white;
  border: none;
  border-radius: 4px;
  box-shadow: 0 0px 10px rgb(255, 0, 0, 0.5);
}

.progress-bar {
  width: 0%;
  height: 30px;
  background-color: #df0101;
  text-align: center;
  color: white;
  border-radius: 4px;
}
